This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 192620 - metapixel: $RPM_OPT_FLAGS not used
metapixel: $RPM_OPT_FLAGS not used
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metapixel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 18:09 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-21 18:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 18:09:43 EDT
metapixel's build doesn't appear to be honoring $RPM_OPT_FLAGS, resulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Quick and dirty fix, in %build:
%{__make} %{?_smp_mflags} CC="%{__cc} %{optflags}" OPTIMIZE=
Comment 1 Andreas Thienemann 2006-05-21 18:33:02 EDT
Thx for the report. I elected to patch the Makefile to honor CFLAGS.
Comment 2 Ville Skyttä 2006-05-21 18:39:58 EDT
Looks like earlier distro versions need the fix too, BTW.

Note You need to log in before you can comment on or make changes to this bug.